<?php

defined('_JEXEC') or die('Restricted access');

/**
* @package OS CCK
* @copyright 2020 OrdaSoft.
* @author Andrey Kvasnevskiy(akbet@mail.ru),Roman Akoev (akoevroman@gmail.com)
* @link http://ordasoft.com/cck-content-construction-kit-for-joomla.html
* @description OrdaSoft Content Construction Kit
*/

class os_cckViewTable
{
   public $form_name = 'adminForm';
   public $form_id = 'adminForm';
   public $form_class = '';
   public $limitbox = '';
   public $paginator = '';
   private $first_row_collumn = array();
   private $second_row_collumn = array();
   private $filters = array();

   public function create_first_row_collumn($collumn_name, $collumn_width){
      $this->first_row_collumn[] = array('name'=>$collumn_name, 'width'=>$collumn_width);
   }

   public function create_second_row_collumn($collumn_name, $collumn_width){
      $this->second_row_collumn[] = array('name'=>$collumn_name, 'width'=>$collumn_width);
   }

   public function create_filters($filter_html){
      $this->filters[] = $filter_html;
   }

   public function viewTable($first_row_data= array(), $second_row_data = array()){
      $viewTableHtml = '';
      
      ob_start();
      ?>
      <form action="index.php" method="post" name="<?php echo $this->form_name; ?>"  class="<?php echo $this->form_class; ?>"  id="<?php echo $this->form_id; ?>" >
            <div class="list_13 filters wrapper_filters">
                <?php
                  foreach($this->filters as $filter){
                     echo $filter;
                  }
                ?>
            </div>
            <div class="wrapper_filters_right">
                <?php echo $this->limitbox; ?>
            </div>

            <div class="admin-order-title">
                <?php
                  foreach($this->first_row_collumn as $collumn_arr){
                     if(isset($collumn_arr['width']) && $collumn_arr['width'] && $collumn_arr['width'] != '' && $collumn_arr['width'] != 0){
                        $width_str = 'style="width:'.$collumn_arr['width'].'%;"';
                     }else{
                        $width_str = '';
                     }
                     echo '<div ' . $width_str . '>'.$collumn_arr['name'],'</div>';
                  }
                ?>
            </div>

            <?php 

            foreach($first_row_data as $row_i => $single_row){
                ?>
                <div class="admin-one-order">
                    <div class="admin-order-standart-fields">
                        <?php
                        foreach($single_row as $i => $data){
                            if(isset($this->first_row_collumn[$i]['width']) && $this->first_row_collumn[$i]['width'] && $this->first_row_collumn[$i]['width'] != '' && $this->first_row_collumn[$i]['width'] != 0){
                                $style_first_row_str = 'style="width:'.$this->first_row_collumn[$i]['width'].'%;"';
                            }else{
                                $style_first_row_str = '';
                            }
                            
                            ?>
                            <div class="" <?php echo $style_first_row_str; ?>>
                                <?php echo $data; ?>
                            </div>
                            <?php
                        }
                        ?>
                    </div>
                    <?php
                    if(isset($second_row_data[$row_i])){
                        if(isset($this->second_row_collumn[$row_i]['width']) && $this->second_row_collumn[$row_i]['width'] && $this->second_row_collumn[$row_i]['width'] != '' && $this->second_row_collumn[$row_i]['width'] != 0){
                            $second_row_width_str = 'style="width:'.$this->second_row_collumn[$row_i]['width'].'%;"';
                         }else{
                            $second_row_width_str = '';
                         }
                        // var_dump($this->second_row_collumn[$row_i]);
                        // echo '1111111111111';
                        ?>
                        <div class="admin-order-products">
                        <?php
                        foreach($second_row_data[$row_i] as $sec_row){
                            
                            ?>
                                <div class="admin-order-single-product">  
                                <?php
                                foreach($sec_row as $sec_row_i => $sec_row_single){
                                    
                                ?>
                                
                                <div>
                                    <div <?php echo $second_row_width_str; ?>><?php echo $this->second_row_collumn[$sec_row_i]['name']; ?></div>
                                    <div <?php echo $second_row_width_str; ?>><?php echo $sec_row_single; ?></div>
                                </div>
                                
                                <?php
                                }
                                ?>
                                </div>
                                <?php
                        }
                        ?>
                        </div>
                        <?php

                    }
                    ?>
                </div>
                <?php
            }
            
            
            
                    ?>
                </div>
            </div>
            


            <?php echo $this->paginator; ?>
            <input type="hidden" name="option" value="com_os_cck" />
            <input type="hidden" name="task" value="orders" />
            <input type="hidden" name="sectionid" value="com_os_cck" />
            <input type="hidden" value="0" name="boxchecked" />
        </form><?php

        $viewTableHtml = ob_get_contents();
        ob_clean();
        return $viewTableHtml;


   }
  

  
  

}


